
#include <stdio.h>
#include <math.h>

/*
  calcola il perimetro P e l'area A di un triangolo di lati a, b e c
  in caso di errore restituisce il valore -1, 0 altrimenti
*/
int triangolo(float a, float b, float c, float* P, float* A)
{
 float sp; // semiperimetro

 // verifica: ogni lato deve essere minore della somma degli altri due
 if ((a+b <= c) || (a+c <= b) || (b+c <= a))
   return -1;
 // calcolo del perimetro
 *P = a + b + c;
 // calcolo dell'area con la formula di Erone
 sp = *P/2;
 *A = sqrt(sp*(sp-a)*(sp-b)*(sp-c));
 return 0;
}


int main(void)
{
 float l1, l2, l3, perimetro, area;

 printf("Primo lato? ");
 scanf("%f",&l1);
 printf("Secondo lato? ");
 scanf("%f",&l2);
 printf("Terzo lato? ");
 scanf("%f",&l3);

 if (triangolo(l1, l2, l3, &perimetro, &area) < 0)
	 printf("Errore: NON e' un triangolo\r\n");
 else
	 printf("Il perimetro e' %f e l'area e' %f\r\n", perimetro, area);
 return 1;
}
